function MysqlConnectionFirstPage()
{
  var AutomaticName = function(){MysqlConnectionFirstPage.prototype._AutomaticName_();};
  //建立資料
  var BuildMysqlConnectionObject   = function(that){MysqlConnectionFirstPage.prototype._BuildMysqlConnectionObject_(that);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){MysqlConnectionFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){MysqlConnectionFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){MysqlConnectionFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){MysqlConnectionFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi       = function(){MysqlConnectionFirstPage.prototype._RedisplayUi_();};
  //移除
  var RemoveRtuToMysqlConnection = function(number){MysqlConnectionFirstPage.prototype._RemoveRtuToMysqlConnection_(number);};
  var RemoveTcpToMysqlConnection = function(number){MysqlConnectionFirstPage.prototype._RemoveTcpToMysqlConnection_(number);};
  var RemoveMqttToMysqlConnection = function(number){MysqlConnectionFirstPage.prototype._RemoveMqttToMysqlConnection_(number);};
  var RemoveGlobalVariable = function(DeviceName, number){MysqlConnectionFirstPage.prototype._RemoveGlobalVariable_(DeviceName, number);};
  var RemoveTickedMysqlConnection = function(){MysqlConnectionFirstPage.prototype._RemoveTickedMysqlConnection_();};
  this.DeleteMysqlConnection        = function(){MysqlConnectionFirstPage.prototype._DeleteMysqlConnection_();};
  //判斷
  var IsNameRepeat = function(Name){return MysqlConnectionFirstPage.prototype._IsNameRepeat_(Name);};
  this.IsTickedMysqlConnection = function(){return MysqlConnectionFirstPage.prototype._IsTickedMysqlConnection_();};
  //初始化
  this.Initialization = function(){MysqlConnectionFirstPage.prototype._Initialization_();};
  //檢查
  this.CheckIdentificationName = function(that){MysqlConnectionFirstPage.prototype._CheckIdentificationName_(that);};
  //儲存
  this.SaveMysqlConnectionSetting = function(Result){MysqlConnectionFirstPage.prototype._SaveMysqlConnectionSetting_(Result);};
  //按鈕
  this.AddNewRow  = function(that){MysqlConnectionFirstPage.prototype._AddNewRow_(that);};
  this.EditButton = function(that){MysqlConnectionFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){MysqlConnectionFirstPage.prototype._SaveButton_(that);};  
}




















function MysqlConnectionSecondPage()
{
  //表單
  var SetFormInitialValue = function(number){MysqlConnectionSecondPage.prototype._SetFormInitialValue_(number);};
  var GetSettingFormValue = function(){return MysqlConnectionSecondPage.prototype._GetSettingFormValue_();};
  var ClearForm = function(){MysqlConnectionSecondPage.prototype._ClearForm_();};  
  var SetInitialValue = function(number){MysqlConnectionSecondPage.prototype._SetInitialValue_(number);};
  //檢查
  this.CheckIdentificationName = function(that){return MysqlConnectionSecondPage.prototype._CheckIdentificationName_(that);};
  this.CheckDatabaseName = function(that){return MysqlConnectionSecondPage.prototype._CheckDatabaseName_(that);};
  this.CheckTableName = function(that){MysqlConnectionSecondPage.prototype._CheckTableName_(that);};
  this.CheckIP = function(that){MysqlConnectionSecondPage.prototype._CheckIP_(that);};
  this.CheckPort = function(that){MysqlConnectionSecondPage.prototype._CheckPort_(that);};
  this.CheckAccount = function(that){MysqlConnectionSecondPage.prototype._CheckAccount_(that);};
  this.CheckPassword = function(that){MysqlConnectionSecondPage.prototype._CheckPassword_(that);};
  this.CheckIntervalSeconds = function(that){MysqlConnectionSecondPage.prototype._CheckIntervalSeconds_(that);};
  this.CheckGlobalVariableValueExist = function(number){MysqlConnectionSecondPage.prototype._CheckGlobalVariableValueExist_(number);};
  this.CheckDeadbandValue = function(that){MysqlConnectionSecondPage.prototype._CheckDeadbandValue_(that);};
  //判斷
  var IsNameRepeat = function(Name){return MysqlConnectionSecondPage.prototype._IsNameRepeat_(Name);};
  //按鈕
  this.ConfirmButton = function(that){MysqlConnectionSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){MysqlConnectionSecondPage.prototype._NoConfirmButton_();};
  this.TestConnection = function(that){MysqlConnectionSecondPage.prototype._TestConnection_(that);};
  //選擇紀錄模式
  this.SelectRecordMode = function(that){MysqlConnectionSecondPage.prototype._SelectRecordMode_(that);};
  //改變css
  var HideDeadbandRow = function(){MysqlConnectionSecondPage.prototype._HideDeadbandRow_();};
  var ShowDeadbandRow = function(){MysqlConnectionSecondPage.prototype._ShowDeadbandRow_();};
  var ShowIntervalSecond = function(){MysqlConnectionSecondPage.prototype._ShowIntervalSecond_();};
  var ShowSamplingIntervalSecond = function(){MysqlConnectionSecondPage.prototype._ShowSamplingIntervalSecond_();};
  var ChangeCss = function(number){MysqlConnectionSecondPage.prototype._ChangeCss_(number);};
}